MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000065WolfAdminCommandspublic2016-09-04 19:472017-01-28 16:18
ReporterTimo 
Assigned ToTimo 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000065: Fix logging
DescriptionOn Legacy (and possibly other mods), commands are not logged because of a missing file. Add necessary code to generate this file.

Also provide logging for other situations: chats (public/team/fireteam/private).
TagsNo tags attached.
ModLegacy
Mod version
Standaloneno
Attached Files

- Relationships

-  Notes
(0000079)
Timo (administrator)
2016-11-16 12:56

Possibly also add logs for various other events as well, such as chats and sorts.
(0000089)
Timo (administrator)
2017-01-28 16:18

Implemented in changeset 72f5b32cd2021cb450c2b80ffd5cabeb5aede554. Server logging is considered mod functionality and is thus not included in WolfAdmin, which will only log chat and admin-related events for now.

- Related Changesets
WolfAdmin: develop/1.2.0 86a42796
Timestamp: 2017-01-21 10:43:39
Author: Timo
Details ] Diff ]
Fixed logging (refs 0000065) and improved logging format in standalone mode
mod - luamods/wolfadmin/commands/commands.lua Diff ] File ]
mod - luamods/wolfadmin/util/settings.lua Diff ] File ]
WolfAdmin: develop/1.2.0 72f5b32c
Timestamp: 2017-01-28 15:24:34
Author: Timo
Details ] Diff ]
Added logging module and log chat (issue 0000065)
mod - luamods/wolfadmin/commands/client/pm.lua Diff ] File ]
mod - luamods/wolfadmin/commands/client/r.lua Diff ] File ]
mod - luamods/wolfadmin/commands/client/say.lua Diff ] File ]
mod - luamods/wolfadmin/commands/commands.lua Diff ] File ]
add - luamods/wolfadmin/util/logs.lua Diff ] File ]
mod - luamods/wolfadmin/util/settings.lua Diff ] File ]
WolfAdmin: develop/1.2.0 531b156c
Timestamp: 2017-01-28 16:17:25
Author: Timo
Details ] Diff ]
Removed server logging (issue 0000065)
mod - luamods/wolfadmin/util/logs.lua Diff ] File ]
mod - luamods/wolfadmin/util/settings.lua Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-04 19:47 Timo New Issue
2016-11-16 12:56 Timo Note Added: 0000079
2017-01-21 10:43 Timo Changeset attached => WolfAdmin develop 86a42796
2017-01-22 12:04 Timo Assigned To => Timo
2017-01-22 12:04 Timo Status new => assigned
2017-01-22 12:04 Timo Summary Fix command logging => Fix logging
2017-01-22 12:04 Timo Description Updated View Revisions
2017-01-28 15:25 Timo Changeset attached => WolfAdmin develop 72f5b32c
2017-01-28 16:17 Timo Changeset attached => WolfAdmin develop 531b156c
2017-01-28 16:18 Timo Note Added: 0000089
2017-01-28 16:18 Timo Status assigned => resolved
2017-01-28 16:18 Timo Fixed in Version => 1.2.0
2017-01-28 16:18 Timo Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker